package ru.yandex.wmconsole.data.info;

import java.util.Date;
import java.util.List;

/**
 * Common info for all servantlets which need authentication.
 *
 * @author baton
 * @author ailyin
 * @author amima
 */
public class CommonInfo {
    private final Date currentDate;
    private List<ShortHostInfo> hostInfos;
    private Integer unreadMessagesCount;
    private Integer readMessagesCount;
    private NotificationMessageInfo lastMessage;

    public CommonInfo(Date currentDate) {
        this.currentDate = currentDate;
    }

    public Date getCurrentDate() {
        return currentDate;
    }

    public List<ShortHostInfo> getShortHostInfos() {
        return hostInfos;
    }

    public void setShortHostInfos(List<ShortHostInfo> hostInfos) {
        this.hostInfos = hostInfos;
    }

    public Integer getUnreadMessagesCount() {
        return unreadMessagesCount;
    }

    public void setUnreadMessagesCount(Integer unreadMessagesCount) {
        this.unreadMessagesCount = unreadMessagesCount;
    }

    public Integer getReadMessagesCount() {
        return readMessagesCount;
    }

    public void setReadMessagesCount(Integer readMessagesCount) {
        this.readMessagesCount = readMessagesCount;
    }

    public NotificationMessageInfo getLastMessage() {
        return lastMessage;
    }

    public void setLastMessage(NotificationMessageInfo lastMessage) {
        this.lastMessage = lastMessage;
    }
}
